package com.ssj.service.conch.student.dto;

import java.io.Serializable;

/**
 * @author Mount Liu
 * @date 2018/8/20
 */
public class CircleMessageDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 评论人/点赞人
     */
    private String userName;
    /**
     * 头像地址
     */
    private String photoUrl;
    /**
     * 素材地址（type=1->同学圈素材；type=2->被评论素材；type=3->同学圈素材；type=4->被评论素材；type=5->采纳解答素材；）
     */
    private String circleMaterial;
    /**
     * 1:分享点赞,2:评论点赞,3:评论我的同学圈,4:评论我的评论,5:采纳解答
     */
    private int type;
    /**
     * type=1->空；type=2->空；type=3->评论人评论内容；type=4->评论人评论内容；type=5->空
     */
    private String content;
    /**
     * type=1->我的分享文字内容；type=2->我的评论文字内容；type=3->我的同学圈文字内容；type=4->我的评论内容；type=5->被采纳的文字内容
     */
    private String myContent;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 同学圈分享id
     */
    private String schoolmateCircleId;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public String getCircleMaterial() {
        return circleMaterial;
    }

    public void setCircleMaterial(String circleMaterial) {
        this.circleMaterial = circleMaterial;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getMyContent() {
        return myContent;
    }

    public void setMyContent(String myContent) {
        this.myContent = myContent;
    }

    public String getSchoolmateCircleId() {
        return schoolmateCircleId;
    }

    public void setSchoolmateCircleId(String schoolmateCircleId) {
        this.schoolmateCircleId = schoolmateCircleId;
    }
}
